WPS4TextInternal Namespace Reference documentation

Classes | Enumerations | Functions
WPS4TextInternal Namespace Reference

## Classes
struct | DataPLC
| Internal: class to store the PLC: Pointer List Content ? More...
struct | DateTime
| Internal: class to store a date/time format. More...
struct | DosLink
| Internal: class to store an object definition. More...
struct | Font
| Internal: class to store font properties. More...
struct | FontName
| Internal: class to store a font name: name with encoding type. More...
struct | Note
| Internal: class to store an note type. More...
struct | Object
| Internal: class to store an object definition. More...
struct | Paragraph
| Internal: class to store paragraph properties. More...
struct | State
| Internal: the state of a WPS4Text. More...

## Enumerations
enum | ZoneType { Z_String =-1, Z_Header =0, Z_Footer =1, Z_Main =2, Z_Note, Z_Bookmark, Z_DLink, Z_Unknown }
| a enum used to type a zone More...
enum | PLCType { BTE =0, OBJECT, FTNp, FTNd, BKMK, DTTM, Unknown }
| different types More...

## Functions
std::ostream & | operator<< (std::ostream &o, FontName const &ft)
| operator<< for a font name More...
std::ostream & | operator<< (std::ostream &o, Font const &ft)
| operator<< for font properties More...
std::ostream & | operator<< (std::ostream &o, Object const &obj)
| operator<< for an object More...
std::ostream & | operator<< (std::ostream &o, DosLink const &dlink)
| operator<< for an object More...
std::ostream & | operator<< (std::ostream &o, DateTime const &dtime)
| operator<< for an object More...
std::ostream & | operator<< (std::ostream &o, DataPLC const &plc)
| operator<< for a dataPLC More...

## Enumeration Type Documentation

## ◆ PLCType

enum WPS4TextInternal::PLCType

different types

- BTE: font/paragraph properties
- OBJECT: object properties
- FTNp, FTNd: footnote position in text and footnote content
- BKMK: comment field
- DTTM: field type: date/time/..

Enumerator
BTE |
OBJECT |
FTNp |
FTNd |
BKMK |
DTTM |
Unknown |

## ◆ ZoneType

enum WPS4TextInternal::ZoneType

a enum used to type a zone

Enumerator
Z_String |
Z_Header |
Z_Footer |
Z_Main |
Z_Note |
Z_Bookmark |
Z_DLink |
Z_Unknown |

## Function Documentation

## ◆ operator<<() [1/6]

std::ostream& WPS4TextInternal::operator<< | ( | std::ostream & | o,
|  | FontName const & | ft
| ) |  |

operator<< for a font name

operator<<

## ◆ operator<<() [2/6]

std::ostream& WPS4TextInternal::operator<< | ( | std::ostream & | o,
|  | Font const & | ft
| ) |  |

operator<< for font properties

operator<<

## ◆ operator<<() [3/6]

std::ostream& WPS4TextInternal::operator<< | ( | std::ostream & | o,
|  | Object const & | obj
| ) |  |

operator<< for an object

operator <<

## ◆ operator<<() [4/6]

std::ostream& WPS4TextInternal::operator<< | ( | std::ostream & | o,
|  | DosLink const & | dlink
| ) |  |

operator<< for an object

operator <<

## ◆ operator<<() [5/6]

std::ostream& WPS4TextInternal::operator<< | ( | std::ostream & | o,
|  | DateTime const & | dtime
| ) |  |

operator<< for an object

operator <<

## ◆ operator<<() [6/6]

std::ostream& WPS4TextInternal::operator<< | ( | std::ostream & | o,
|  | DataPLC const & | plc
| ) |  |

operator<< for a dataPLC

operator<<